/* SHORTCODES */

.columns_2 {
  -webkit-column-count: 2; /* Chrome, Safari, Opera */
  -moz-column-count: 2; /* Firefox */
  column-count: 2;
}

.columns_3 {
  -webkit-column-count: 3; /* Chrome, Safari, Opera */
  -moz-column-count: 3; /* Firefox */
  column-count: 3;
}

.col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3,
.col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-md-1,
.col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4,
.col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-sm-1, .col-sm-10,
.col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5,
.col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-xs-1, .col-xs-10,
.col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5,
.col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9 {
  padding-left: 0;
}

/* SERVICES BLOCKS */
.service-red, .service-blue, .service-yellow, .service-darkgrey, .service-lightgrey, .service-green, .service-orange, .service-darkbeige {
  h2 {
    padding-bottom: 5px;
  }
}

.service-red {
  h2 {
    color: $crossref-red;
  }
}

.service-blue {
  h2 {
    color: $crossref-blue;
  }
}

.service-yellow {
  h2 {
    color: $crossref-yellow;
  }
}

.service-darkgrey {
  h2 {
    color: $crossref-darkgrey;
  }
}

.service-lightgrey {
	h2 {
		color: $crossref-lightgrey
	}
}

.service-green {
	h2 {
		color: $crossref-green
	}
}


.service-orange {
	h2 {
		color: $crossref-orange
	}
}


.service-darkbeige {
	h2 {
		color: $crossref-darkbeige
	}
}

/* DIVWRAPS */
.shortcode-row.row.equal {
	margin-left:0;
	margin-right:0;
	display: flex;
	display: -webkit-flex;
	flex-wrap: wrap;
	& > [class*='col-'] {
        display: flex;
        flex-direction: column;
		.shortcode-divwrap {
			height:100%;
		}
    }
    &.row:after, 
    &.row:before {
        display: flex;
    }
	
}

/* HIDE FIRST */
.simcheck-above, .simcheck-below, .simcheck-help, .simcheck-above10k {
  display:none;
}


.align-left {
  float: left;
  padding-right: 20px;
  width: 30%;
}

.align-right {
  float: right;
  padding-left: 20px;
  width: 30%;
}


.blue-highlight, .red-highlight, .yellow-highlight, .darkgrey-highlight, .lightgrey-highlight, .green-highlight, .orange-highlight {
  color: white;
  padding: 2em;
  margin: 0 0 1em 0;
  position: relative;
  overflow: hidden;

  span {
	  position: relative;
  }

  h2 {
  	padding-bottom: .8em;
    border-bottom: 2px solid #fff;
    margin-bottom: .8em;
    margin-top: 0;
  }
  h3, h4, h5 {
    margin-bottom: .6em;
  }
  p {
    margin-top: 0;
  }
  h2, h3, h4, h5, p {
	position: relative;
    z-index: 1;
  }

  p:last-child {
    margin-bottom: 0;
  }
  a, p a {
    color: #fff;
    border-bottom: 1px solid #fff;
  }
  a:hover, p a:hover {
    background-color: #fff;
    outline: 2px solid #fff;
    transition: 0.15s ease;
  }

  &:before {
    content: "";
    position: absolute;
    width: 200%;
    height: 200%;
    top: -25%;
    left: -60%;
    background-image: url('../img/highlight-bg.svg');
    background-position: center center;
    -webkit-transform: rotate(-135deg);
    transform: rotate(-135deg);
    background-repeat: no-repeat;
    background-size: cover;
   }

}

.blue-highlight {
	color: $white;
	background-color: $crossref-blue;

  h2 {
	border-bottom-color: $white;
  }

  h3, h4, h5 {

	color: $white
  }

}

.red-highlight {
	color: $white;
	 background-color: $crossref-red;

	h2 {
		border-bottom-color: $white;
	}

	h3, h4, h5 {

		color: $white;
	}
}

.yellow-highlight {
	color: $crossref-darkgrey;
	  background-color: $crossref-yellow;

	a {
		  color: $crossref-darkgrey!important;
		  border-bottom-color: $crossref-darkgrey!important;
	  
		  &:hover {
			  color: $crossref-red!important;
			  border-bottom-color: $white!important;
		  }
	}

	h2 {
		border-bottom-color: $crossref-darkgrey;
	}

	h3, h4, h5 {
		color: $crossref-darkgrey;
	}
}

.lightgrey-highlight {
	color: $crossref-darkgrey;
	background-color: $crossref-lightgrey;
	
	a {
		color: $crossref-darkgrey!important;
		border-bottom-color: $crossref-darkgrey!important;
	
		&:hover {
			color: $crossref-red!important;
			border-bottom-color: $white!important;
		}
	}

	h2 {
		border-bottom-color: $crossref-darkgrey;
	}

	h3, h4, h5 {

		color: $crossref-darkgrey;
	}
}

.darkgrey-highlight {
	  background-color: $crossref-darkgrey;

	h2 {
		border-bottom-color: $white;
	}

	h3, h4, h5 {

		color: $white;
	}
}

.green-highlight {
	  background-color: $crossref-green;

	h2 {
		border-bottom-color: $white;
	}

	h3, h4, h5 {

		color: $white;
	}
}

.orange-highlight {
	  background-color: $crossref-orange;

	h2 {
		border-bottom-color: $white;
	}

	h3, h4, h5 {

		color: $white;
	}
}




.simcheck-below .yellow-highlight {
	color: $crossref-darkgrey !important;
}



/* Keywords */

.keyword-row {
	margin-left: 0 !important;
	margin-right: 0 !important;
	display: flex;
	justify-content: flex-start;
	align-items: center;

	.col-md-2 {
		background-image: url('../img/white-arrow.svg');
		background-position: 100% 50%;
		background-repeat: no-repeat;
		background-size: 10%;
	}

	div {
		padding: 15px;
	}

	h2, p {
		color: $white;
		margin: 0;
		padding: 0;
	}

	p.keyword {
		font-size: 25px;
	}

	p {
		font-size: 15px;
	}

	.col-md-2, .col-md-10 {

	}

	&.rally {
		background-color: $crossref-red;
	}

	&.tag {
		background-color: $crossref-blue;
	}

	&.run {
		background-color: $crossref-lightgrey;
	}

	&.play {
		background-color: $crossref-yellow;
	}

	&.make {
		background-color: $crossref-darkgrey;
	}

	&.run, &.play {
		h2, p {
			color: $crossref-darkgrey;
		}
	}

}

/* QUOTECITE */

.quotecite {
	padding: 1em;
	margin-bottom: 1em;

	p:last-of-type {
		margin: 0;
	}

	blockquote {
		margin: 0;
		position: relative;
		padding: 0 35px;
		border: 0;
		font-family: $font-regular;
		font-weight: normal;
		font-size: 14px;

		p:first-of-type:before,
		p:last-of-type:after {
			font-size: 3em;
			line-height: 0px;
			top: 13px;
			color: $crossref-lightgrey;
		}

		p:first-of-type:before {
			position: absolute;
			left: 9px;
			content: '\201c';
		}

		p:last-of-type:after {
			position: relative;
			right: -5px;
			content: '\201d';
		}

	}

	cite {
		font-size: .8em;
		font-family: $font-regular;
		font-style: italic;
		display: block;
		text-align: right;
	}

}
